close all
% ---------------------------------------------------- %
% 
% ---------------------------------------------------- %
K2 = 1;

% ---------------------------------------------------- %
% ȉ͐GȂ
% ---------------------------------------------------- %
% [^̓`B֐
K_nom = 10;
T_nom = 0.0933;
P_s = tf(K_nom,[T_nom 1 0]);

omega = logspace(-2,3,1000); % 10^{-1} - 10^{3} 1000
[Ps_g,Ps_p] = bode(P_s*K2,omega);
Ps_g_dB = 20*log10(Ps_g);

figure(1)
subplot(211)
semilogx(omega,Ps_g_dB(:))
grid on
ylabel('Magnitude [dB]')
subplot(212)
semilogx(omega,Ps_p(:))
grid on
xlabel('Frequency [rad/s]')
ylabel('Phase [deg]')